from django import forms
from django.forms import ModelForm
from django.contrib.auth.models import User
from . import models

class UserLoginForm(forms.Form):
    username = forms.CharField(max_length=100)
    password = forms.CharField(widget=forms.PasswordInput)

class UserUploadForm(forms.ModelForm):
    username = forms.CharField(max_length=100, widget=forms.HiddenInput)
    class Meta:
        model = models.Record
        fields = ['username','uploadedFile','chosenML']

class UploadModelForm(forms.ModelForm):
    username = forms.CharField(max_length=100, widget=forms.HiddenInput)
    class Meta:
        model = models.mlModel
        fields = ['username','modelName']

class GenerateBillingsForm(forms.ModelForm):
    username = forms.CharField(max_length=100, widget=forms.HiddenInput)
    class Meta:
        model = models.Billing
        fields = ['amount', 'username', 'companyName']

class UpdateUser(forms.ModelForm):
    class Meta:
        model = models.Profile
        fields = ['user', 'role']