import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Billing',
            fields=[
                ('billingID', models.AutoField(primary_key=True, serialize=False)),
                ('amount', models.FloatField()),
                ('username', models.CharField(default='company', max_length=100)),
                ('companyName', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Interaction',
            fields=[
                ('interactionID', models.AutoField(primary_key=True, serialize=False)),
                ('username', models.CharField(default='default', max_length=100)),
                ('date', models.DateTimeField()),
                ('interaction', models.CharField(max_length=1000)),
            ],
        ),
        migrations.CreateModel(
            name='mlModel',
            fields=[
                ('modelID', models.AutoField(primary_key=True, serialize=False)),
                ('username', models.CharField(default='default', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Record',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(default='default', max_length=100)),
                ('uploadedFile', models.FileField(blank=True, null=True, upload_to='./records/')),
                ('chosenML', models.CharField(default='baseML', max_length=100)),
                ('responseByML', models.CharField(default='PLACEHOLDER RESPONSE', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(choices=[('admin', 'Admin'), ('user', 'User'), ('ai_engineer', 'AI Engineer'), ('finance', 'Finance Team')], max_length=100)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
