from django.contrib.auth.models import User
from django.db import models

class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    role = models.CharField(max_length=100, choices=[('admin', 'Admin'), ('user', 'User'), ('ai_engineer', 'AI Engineer'), ('finance', 'Finance Team')])

    def __str__(self):
        return f"{self.user.username} - {self.role}"

class mlModel(models.Model):
    modelID = models.AutoField(primary_key=True)
    username = models.CharField(max_length=100, default="default")
    modelName = models.FileField(upload_to="./mlModels/modelName", null=True, blank=True)

    def __str__(self):
        return f"{self.username} NEW MODEL ID: {self.modelID} Path: {self.modelName}"

class Billing(models.Model):
    billingID = models.AutoField(primary_key=True)
    amount = models.FloatField()
    username = models.CharField(max_length=100, default="company")
    companyName = models.CharField(max_length=100)

    def __str__(self):
        return f"{self.companyName} Billing - ID: {self.billingID}"

class Record(models.Model):
    username = models.CharField(max_length=100, default="default")
    uploadedFile = models.FileField(upload_to='./records/', null=True, blank=True)
    chosenML = models.CharField(max_length=100, default="baseML")
    responseByML = models.CharField(max_length=100, default="PLACEHOLDER RESPONSE") # change to actual response by ML

    def __str__(self):
        return f"{self.chosenML} Response to {self.username}"