"""
URL configuration for server project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib.auth.views import LogoutView
# from django.contrib import admin
from django.urls import path

from django.contrib import admin
from django.urls import path
from django.urls import include
from django.shortcuts import render
from core import views

def home(request):
    return render(request, 'index.html')


urlpatterns = [
    path('', home, name='home'),
    path('admin/', admin.site.urls),
    path('logout/', views.logout_view, name='logout'),
    path('login/', views.login_view, name='login'),
    path('register/', views.register_view, name='register'),
    path('profile/', views.profile, name="profile"),
    path('modelForms/userUpload', views.userUpload, name="userUpload"),
    path('modelForms/mlUpload', views.mlUpload, name="mlUpload"),
    path('modelForms/genBillings', views.genBillings, name="genBillings"),
    path('modelForms/manageUsers/', views.manageUsers, name="manageUsers"),
    path('modelForms/updateUsers/<str:id>/', views.updateUsers, name="updateUsers"),
    path('modelForms/deleteUsers/<str:id>/', views.deleteUsers, name="deleteUsers"),
    path('modelForms/deleteRecord/<str:id>/', views.deleteRecord, name="deleteRecord"),
    path('modelForms/interactionView/', views.interactionView, name="interactionView"),

]